Subject: bug#73355: 29.4; eglot-rename reports success when it shouldn't

From: João Távora <[email-masked]>
Date: Sat, 21 Sep 2024 23:31:43 +0100

On Sat, Sep 21, 2024 at 11:04 PM Joost Kremers <[email-masked]> wrote:

> Ah, OK, I didn't realise that. So does the server report it made 0 edits?

I don't know, you haven't supplied that part of the report yet.

> If it does, would it make sense to have Eglot say no changes were made?

Maybe.  Some sense. But IMO it would make even more sense for the
server to error out.